---
title: RTCRtcpParameters
slug: Web/API/RTCRtcpParameters
tags:
  - API
  - Configuration
  - Dictionary
  - Media
  - Options
  - RTCP
  - RTCRtcpParameters
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - parameters
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The <code><strong>RTCRtcpParameters</strong></code> dictionary provides parameters of an {{Glossary("RTCP")}} connection. It's used as the value of the {{domxref("RTCRtpParameters.rtcp", "rtcp")}} property of the <a href="/en-US/docs/Web/API/RTCRtpParameters">parameters</a> of an {{domxref("RTCRtpSender")}} or {{domxref("RTCRtpReceiver")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCRtcpParameters.cname", "cname")}}</dt>
 <dd>The Canonical Name (CNAME) being used by RTCP. This is used, for example, in SDES (SDP security descriptions) messages, described in {{RFC(4568)}}. This property cannot be changed once initialized.</dd>
 <dt>{{domxref("RTCRtcpParameters.reducedSize", "reducedSize")}}</dt>
 <dd>A Boolean value indicating whether or not reduced size RTCP is configured. If this value is <code>true</code>, reduced size RTCP (described in {{RFC(5506)}}) is in effect. If <code>false</code>, compund RTCP is in use, as found in {{RFC(3550)}}. This property cannot be changed once initialized.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example obtains the canonical name (CNAME) being used for RTCP on an {{domxref("RTCRtpSender")}} or {{domxref("RTCRtpReceiver")}}.</p>

<pre class="brush: js notranslate">function getRtpCNAME(rtpObject) {
  let parameters = rtpObject.getParameters();

  return parameters.rtcp.cname;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtcpparameters','RTCRtcpParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtcpParameters")}}</p>
